  .pps-header {
    color: #333333;
    font-family: Prompt;
    font-size: 28px;
    font-weight: 600;
    letter-spacing: 0;
    line-height: 52px;
  }
  .pps-header_th {
    color: #999999;
    font-family: Prompt;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 28px;
  }

  .example-form {
    min-width: 150px;
    max-width: 500px;
    width: 100%;
  }
  
  .example-full-width {
    width: 100%;
  }

  .head-detal {
    color: #333333;
    font-family: Prompt;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 32px;
    margin-top: 20px;
    margin-bottom: 10px;
    // padding-left: 10px;
  }
  .body-detal{
    padding-left: 10px;
  }
  .body-detal-checkbox{
    padding-left: 15px;
  }
  .saveDraft{
    box-sizing: border-box;
    height: 48px;
    width: 228px;
    border: 1.5px solid #00A4E4;
    border-radius: 4px;
    color: #00A6E6;
    background-color: #ffffff00;
    font-family: Prompt;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 28px;
    text-align: center
  }

  .body-detal{
    justify-content: center;
  }
  .button-next{
    height: 56px;
    width: 100%;
    color: #FFFFFF;
    background-color: #00A4E4;
    font-family: Prompt;
  }

  .button-search {
    color: #FFFFFF;
    background-color: #00A4E4;
  }

  .checkbox-col{
    margin-right: 20px;
  }
  .radio-col{
    margin-right: 20px;
  }

  .alert-success{
    box-sizing: border-box;
    height: 49px;
    // border: 1px solid rgba(90,167,0,0.7);
    border: 1px solid rgba(0,110,149,0.7);
    border-radius: 4px;
    // background-color: rgba(90,167,0,0.1);
    background-color: rgba(0,110,149,0.1);
    box-shadow: 0 2px 8px 0 rgba(224,224,224,0.5);
    text-align: center;
    padding-top: 10px;
    a.alert-detail{
      // color: #5AA700;
      color: #006E95;
      font-family: Prompt;
      font-size: 18px;
      font-weight: 500;
      letter-spacing: 0;
      line-height: 28px;
    }
  }
  
  .icon_checkmark{
    height: 24px;
    width: 24px;
  }

  ::ng-deep .th-center .mat-sort-header-container {
    justify-content: center;
  }

  ::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-ripple .mat-ripple-element {
    opacity: 0.03 !important;
    background-color: #00A6E6!important;
  }

  ::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background,.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
    background-color: #00A6E6;
  }

  ::ng-deep .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
    opacity: 0 !important; /*click effect color change*/
    background-color: #00A6E6 !important;  }
    
  ::ng-deep .mat-radio-button.mat-accent .mat-radio-inner-circle {
    background-color: #00A6E6 !important; /*inner circle color change*/  }
    
  ::ng-deep.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
    border-color: #00A6E6 !important; /*outer ring color change*/
  }
  ::ng-deep .myDpSelector.myDpSelectorArrow.myDpSelectorArrowLeft.myDpSelectorAbsolute {
    height: 232px;
    width: 252px;
    margin-top: 10px;
    top: 40px !important; 
    left: 15px !important;
  }
  .subDetail{
    background-color: #F2F2F2;
    border-radius: 4px;
    padding: 10px;
    padding-bottom: 0vw;
    margin-left: 30px;
    // width: max-content;
    // width: fit-content;
  }
  .inputSubDetail{
    margin-left: 30px;
    padding: 0px;
    margin-top: 10px;
  }

  .input-warpper {
    position: relative;
  }
  .icon-warpper1 {
    display: block;
    position: absolute;
    right: 25px;
    line-height: 35px; 
  }
  
  .icon-warpper2 {
    display: block;
    position: absolute;
    right: 60px;
    line-height: 35px;
  }
  .btn-date{
    cursor: pointer;
    color: #009EDB
  }
  .btn-delete:hover{
    cursor: pointer;
    color: rgb(20, 20, 20) !important;
  }


  /* hide the blue outline */
// .form-control:focus {
//   outline: 0 !important;
//   border-color: initial;
//   box-shadow: none;
// }
::ng-deep .input-group-text {
  padding: 0px !important;
  background-color: #ffffff !important;
  border: 1px solid #cdcdce;
}
.input-detail{
  margin-bottom: 10px;
}
.radio-detail{
  padding-left: 0px;
}
.radio-layout{
  padding-top: 0px;
  padding-bottom: 0px;
}

.checkbox-layout{
  padding-top: 4px;
  padding-bottom: 4px;
}

.checkbox-box{
  padding-top: 1px;
}

.checkbox-detail{
  padding-left: 10px;
}
.checkbox-detail-false{
  cursor: pointer;
}
.checkbox-detail-true{
  cursor: pointer;
  color: #00A6E6;
}
.checkbox-padding-right{
  padding-right: 20px;
}

.button-calendar{
  padding: 0px !important;
  background-color: #ffffff !important;
  border: 1px solid #cdcdce;
  border-left: 0px solid #ffffff00;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}
.btn-input-calendar{
  border-right: 0px solid #ffffff00;
}
.btn-annualPlan{
  box-sizing: border-box;
  height: 48px;
  width: 222px;
  border: 1.5px solid #00A4E4;
  border-radius: 4px;
  color: #00A6E6;
  background-color: #ffffff00;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center
}

.mat-cell {
  font-family: Prompt;
}

.mat-header-cell {
  text-align: left;
  background-color: #E0E0E0;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
}

.td_single {
  background-color: #FAFAFA;
  // background-color: rgb(14, 24, 121);
  font-family: Prompt;
}
.td_couple{
  background-color: #ffffff;
  font-family: Prompt;
}
.bin_upload{
    box-sizing: border-box;
    height: 48px;
    width: 526px;
    border: 1.5px solid #00A4E4;
    border-radius: 4px;
    color: #00A6E6;
    background-color: #ffffff00;
    font-family: Prompt;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 28px;
    text-align: center
}

.textarea-container .input_upload{
  position: absolute;
  bottom: 10px;
  left: 16px;
  right: 0;

  box-sizing: border-box;
  height: 48px;
  width: 526px;
  text-align: center;
}

.input_upload_label {
  box-sizing: border-box;
  height: 48px;
  width: 526px;
  padding-top: 10px;
  border: 1.5px solid #00A4E4;
  border-radius: 4px;
  color: #00A6E6;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
  cursor: pointer;
}



.textareaHeight {
height: 261px;
}
.textarea-container { 
  position: relative; 
} 
.textarea-container textarea { 
  width: 100%; 
  height: 100%; 
  box-sizing: border-box; 
} 
.textarea-container button { 
  position: absolute;
  // position: fixed;
  bottom: 10px;
  left: 16px;
  right: 0;
}
.textarea-container .image_row { 
  position: absolute;
  // position: fixed;
  bottom: 50px;
  left: 16px;
  right: 0;
}
.textarea-container .image_col { 
  position: absolute;
  // position: fixed;
  bottom: 20px;
  left: 16px;
  right: 0;
}

.textarea-container .custom-file {
  position: absolute;
  // position: fixed;
  bottom: 10px;
  left: 16px;
  right: 0;
}

.photo{
  height: 80px;
  width: 80px;
  border-radius: 4px;
  cursor: pointer;
}

.unnon_image{
  box-sizing: border-box;
  height: 80px;
  width: 80px;
  // border: 1.5px dashed #00A4E4;
  margin-right: 12px;
  margin-top: 12px;
}


// .unnon_image:hover + .circle_image{
//   position: absolute;
//   bottom: 70px;
//   left: 67px;
//   height: 18px;
//   width: 18px;
//   border-radius: 50px;
//   opacity: 1;
//   cursor: pointer;
// }
.non_image{
  box-sizing: border-box;
  height: 80px;
  width: 80px;
  border: 1.5px dashed #00A4E4;
  border-radius: 4px;
  margin-top: 12px;
  cursor: pointer;
}
.non_image_text{
  // box-sizing: border-box;
  height: 80px;
  width: 80px;
  background-color: #ffffff00;
  border: 0px dashed #ffffff00;
  margin-top: 12px;
  // border-radius: 4px;
  cursor: pointer;
}
.icon_add{
  margin-top: 10px;
  margin-left: 17px;
  height: 20px;
  width: 20px;
  cursor: pointer;
}

.non_image_fileDrop{
  position: absolute;
  opacity: 0;
  // box-sizing: border-box;
  height: 80px;
  width: 80px;
  padding: 0px;
  // border: 1.5px dashed #00A4E4;
  border-radius: 4px;
  background-color: #5AA700;
  cursor: pointer !important;
}
// .non_image_fileDrop:focus{
//   position: absolute;
//   opacity: 0;
//   // box-sizing: border-box;
//   height: 80px;
//   width: 80px;
//   padding: 0px;
//   // border: 1.5px dashed #00A4E4;
//   border-radius: 4px;
//   background-color: rgb(148, 148, 148);
//   cursor: pointer !important;
// }

#file-upload-button{
  cursor: pointer !important;
}

.circle_image{
  position: absolute;
  // bottom: 70px;
  // left: 67px;
  margin-top: 5px;
  margin-left: 67px;
  margin-bottom: 30px;
  height: 18px;
  width: 18px;
  border-radius: 50px;
  cursor: pointer;
}


// .ccc .vvv {opacity:0;}

// .ccc img:hover + .vvv {opacity:1;}


// Modal
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 10vw;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.4);
}


/* Modal Content */
.modal-content {
  position: relative;
  background-color: #ffffff00;
  margin-left: auto;
  margin-right: auto;
  padding: 0;
  width: 90%;
  max-width: 1200px;
  border: #ffffff00;

}
.modal-image {
  // box-sizing: border-box;
  margin-left: auto;
  margin-right: auto;
  height: 40vw;
  width: 70vw;
  // border: 1px solid #ffffff;
}
.modal-image-gallery{
  // background-color: #FFFFFF;
  filter: grayscale(50%);
  // box-sizing: border-box;
  height: 120px;
  width: 120px;
  padding: 4px;
  cursor: pointer;
}
.modal-image-gallery-select {
  box-sizing: border-box;
  height: 120px;
  width: 120px;
  padding: 4px;
  box-shadow: 0 2px 6px 0 #666666;
  cursor: pointer;
}
.modal-image-detail {
  justify-content: center;
  box-sizing: border-box;
  margin-left: 100px;
  margin-right: 100px;
  overflow-x: auto;
}

/* The Close Button */
.close {
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #999;
  text-decoration: none;
  cursor: pointer;
}


.dropzone:hover {
  width: 100%;
  height: 195px;
  padding: 2rem;
  text-align: center;
  border: dashed 2px #d3d3d3;
  position: relative;
  margin: auto;
  border-radius: 1%;
  background-color: rgba(255, 255, 255, 0.288);
}

.fileDrop {
  position: absolute;
  opacity: 0;
  height: 50px;
  background-color: #5AA700;
  cursor: pointer;
}
.input_select{
padding-top: 6px;
padding-bottom: 6px;
margin-bottom: 0px;
}

.input_upload_document{
  box-sizing: border-box;
  height: 80px;
  width: 100%;
  padding-top: 25px;
  border: 1.5px dashed #00A4E4;
  border-radius: 4px;
  color: #00A6E6;
  font-family: Prompt;
  font-size: 18px;
  letter-spacing: 0;
  line-height: 28px;
  text-align: center;
  cursor: pointer;
}
.fileDrop_document{
  position: absolute;
  opacity: 0;
  height: 80px;
  background-color: #5AA700;
  cursor: pointer;
}
.document_file_detail {
  margin-top: 5px;
  margin-bottom: 5px;
}


// ตารางเกณฑ์การพิจารณาสินเชื่อ
.table {
  justify-content: center;
  th {
    background-color: #F2F2F2;
  }
  td {
    padding-top: 5px;
    padding-bottom: 5px;
    vertical-align: middle;
    height: 46px;
    word-wrap: break-word;
  }
}

a.delete-btn{
  font-family: Prompt;
  color: #00A6E6;;
  cursor: pointer;
}
a.delete-btn-select{
  font-family: Prompt;
  color: #006E95;;
  cursor: pointer;
}
a.delete-btn:hover{
  color: #006E95;
  cursor: pointer;
  // text-decoration: underline;
}
a.delete-btn-select:hover{
  color: #006E95;;
  cursor: pointer;
}

.add_table {
  height: 36px;
  width: 106px;
  border-radius: 4px;
  background-color: #00A6E6;
  padding: 0px;
  // padding-bottom: 10px;
  a {
    font-family: Prompt;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
    color: #FFFFFF;
    
  }
}
.add_table:hover{
  font-family: Prompt;
  background-color: #00a5e6b7;
}


// ==== table only =====

.table-proccess {
  thead tr {
      // height: 54px;
      background-color: #E0E0E0;
  }
  thead th {
    // height: 54px;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: #E0E0E0;
    border: 1px solid #E0E0E0;
}

  thead {
      color: #999999;
      font-size: 16px;
      font-weight: 500;
      letter-spacing: 0;
      line-height: 24px;
  }
}
.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: rgb(255, 255, 255);
}

.table-striped > tbody > tr:nth-of-type(even) {
  background-color: #FAFAFA;
}

.table-proccess-data {
  width: 100%;

  tr {
      &:nth-of-type(odd) {
      background-color: transparent;
      }

      &:nth-of-type(even) {
          background-color: transparent;
       }

      &:first-child {
          td {
              border-top: 0;
          }
      }

      &:last-child {
          td {
              border-bottom: 0;
          }
      }
  }


  td {
      padding: 0.75rem;
      vertical-align: top;
      border-bottom: 1px solid #c8ced3;
      position: relative;
      height: 45px;
      vertical-align: top;
  }
}

.add_year {
  height: 36px;
  width: 77px;
  border-radius: 4px;
  background-color: #00A6E6;
  padding: 0px;
  a {
    font-family: Prompt;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 0;
    line-height: 24px;
    color: #FFFFFF;
  }
}
.add_table:hover{
  background-color: #00a5e6b7;
}
.row1 {
width: 600px;
  }
.row2 {
  width: 250px;
  }
.dataDtailHead{
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 24px;
}
.endRow{
  min-width: 140px;
  max-width: 140px;
  padding: 5px;
  text-align: center;
  vertical-align: middle;
}
.icongrap {
  box-sizing: border-box;
  position: absolute;
  width: 17px;
  top: 50%;
  left: 0px;
  transform: translateY(-50%);
  cursor: grab;
}
// ================================================

// ============== popup ===========================
.popup {
  position: relative; 
  display: inline-block; 
 cursor: pointer;
 -webkit-user-select: none;
 -moz-user-select: none;
 -ms-user-select: none;
 user-select: none;
}
.popup .popuptext {
  // visibility: hidden;
  height: 40px;
  width: 194px;
  background-color:#FFFFFF;
  color: #00A4E4;
  text-align: center;
  border-radius: 6px;
  padding: 0px;
  vertical-align: middle;
  position: absolute;
  z-index: 1;
  bottom: 20px;
  left: 12px;
  margin-left: -80px;
  animation: fadeIn 1s;
}

.popup .popuptextCol {
  // visibility: hidden;
  height: 40px;
  width: 194px;
  background-color:#FFFFFF;
  color: #00A4E4;
  text-align: center;
  border-radius: 6px;
  padding: 0px;
  vertical-align: middle;
  position: absolute;
  z-index: 1;
  bottom: 20px;
  right: 0px;
  margin-left: -80px;
  animation: fadeIn 1s;
}
.shadow {
  box-shadow: 0 2px 4px 0 #E0E0E0 !important; 
}
::placeholder {
  color: rgba(226, 225, 225, 0.918);
}
a.delete-btn-sub{
  color: #999999;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
  padding: 8px;
  cursor: pointer;
}
a.delete-btn-sub:hover{
  color: #00A4E4;
  font-family: Prompt;
  font-size: 16px;
  letter-spacing: 0;
  line-height: 24px;
  cursor: pointer;
  // text-decoration: underline;
}
// ==========================



.finan-year {
  position: absolute;
  top: 46%;
  left: 39%;
  transform: translate(-50%, -50%);
  font-weight: 300;
  color: #333333;
}

.input-head-td {
  position: relative;

  input {
      padding-left: 50%;
      color: #333333;
  }
}